# drone.dotya.ml

this repo holds
* docker-compose.yml for [drone](https://drone.io) instance
* drone-related env files
* `systemd` Unit file to easily start/stop the instance as a service

#### prepare environment

```bash
mkdir -pv /etc/drone
```
* put `docker-compose.yml` + env files in there

* put `drone.service` `systemd` unit file in `/etc/systemd/system/drone.service`

* reload `systemd` daemon

```bash
systemctl daemon-reload
```

enable running `drone` "service" after system startup and start `drone` now

```bash
systemctl enable --now drone.service
```

#### notes

* in current set-up you also need a web proxy server (such as `nginx`) to forward traffic to and from `drone` that runs exclusively on localhost
* this set-up works with Gitea in mind, although it shouldn't be too hard to change the configs to work with other git providers
